"""
Generation of CLI commands for evaluation of datasets to be runned Slurm jobs
"""

import os

EXPERIMENT_PATH = '/cluster/home/fredrifw/MT3/experiments'

def generate_eval_cli_commands():
    for folder in os.listdir(EXPERIMENT_PATH):
        pickle_path = os.path.join(EXPERIMENT_PATH, folder, 'eval_pickle.pickle')
        if os.path.exists(pickle_path):
            continue
        checkpoint_path = os.path.join(EXPERIMENT_PATH, folder, 'checkpoint_524288')
        if not os.path.exists(checkpoint_path):
            continue

        checkpoint_path = f"'{EXPERIMENT_PATH}/{folder}/checkpoint_524288'"
        task_prefix = f"'{folder}_notes_ties'"
        eval_output_dir = f"'/cluster/home/fredrifw/MT3/experiments/{folder}/'"

        print(f"python t5x/eval.py --gin_file=\"mt3/gin/model.gin\" --gin_file=\"mt3/gin/eval.gin\" --gin_file=\"mt3/gin/AMT_eval.gin\" --gin.TASK_PREFIX=\"{task_prefix}\" --gin.CHECKPOINT_PATH=\"{checkpoint_path}\" --gin.EVAL_OUTPUT_DIR=\"{eval_output_dir}\"")



if __name__ == '__main__':
    generate_eval_cli_commands()