"""
Generation of CLI commands for evaluation of mixture datasets to be runned Slurm jobs
"""
import os, sys

MIXTURES_PATH = '/cluster/home/fredrifw/MT3/mixtures/'
DATASETS = ["maestro", "musicnet", "guitarset", "urmp"]

def generate_eval_cli_commands_mixture(mixture):
    path = os.path.join(MIXTURES_PATH, mixture)
    #for valid_set in DATASETS:
    #    os.mkdir(os.path.join(path, valid_set))

    checkpoint_path = f"'{path}/checkpoint_524288'"
    for valid_set in DATASETS:
        task_prefix = f"'{valid_set}_{mixture}_notes_ties'"
        eval_output_dir = f"'/cluster/home/fredrifw/MT3/mixtures/{mixture}/{valid_set}/'"
        print(
            f"python t5x/eval.py --gin_file=\"mt3/gin/model.gin\" --gin_file=\"mt3/gin/eval.gin\" --gin_file=\"mt3/gin/AMT_eval.gin\" --gin.TASK_PREFIX=\"{task_prefix}\" --gin.CHECKPOINT_PATH=\"{checkpoint_path}\" --gin.EVAL_OUTPUT_DIR=\"{eval_output_dir}\"")


if __name__ == '__main__':
    generate_eval_cli_commands_mixture(sys.argv[1])

