"""
Counts length of datasets
"""

import librosa
import dataset_parsers
from config import *

MAESTRO_TRAIN = f"{SSH_WD}/Datasets/maestro-v3.0.0/train"
MAESTRO_VALIDATION = f"{SSH_WD}/Datasets/maestro-v3.0.0/validation"

MUSICNET_TRAIN = f"{SSH_WD}/Datasets/musicnet/tracks/train"
MUSICNET_VALIDATION = f"{SSH_WD}/Datasets/musicnet/tracks/validation"

GUITARSET_TRAIN = f"{SSH_WD}/Datasets/GuitarSet/train"
GUITARSET_VALIDATION = f"{SSH_WD}/Datasets/GuitarSet/validation"

URMP_TRAIN = f"{SSH_WD}/Datasets/URMP/Dataset/train"
URMP_VALIDATION = f"{SSH_WD}/Datasets/URMP/Dataset/validation"

def get_dataset_info(datas):
    count = 0
    duration = 0
    for data in datas:
        count += 1
        duration += librosa.get_duration(filename=data["audio"])
    duration = duration / 60
    duration = duration / 60
    return count, duration


if __name__ == '__main__':
    count, duration = get_dataset_info(dataset_parsers.parse_maestro_org(MAESTRO_TRAIN))
    print("MAESTRO_TRAIN", count, duration)
    count, duration = get_dataset_info(dataset_parsers.parse_maestro_org(MAESTRO_VALIDATION))
    print("MAESTRO_VALIDATION", count, duration)
    count, duration = get_dataset_info(dataset_parsers.parse_musicnet_org(MUSICNET_TRAIN))
    print("MUSICNET_TRAIN", count, duration)
    count, duration = get_dataset_info(dataset_parsers.parse_musicnet_org(MUSICNET_VALIDATION))
    print("MUSICNET_VALIDATION", count, duration)
    count, duration = get_dataset_info(dataset_parsers.parse_guitarset_org(GUITARSET_TRAIN))
    print("GUITARSET_TRAIN", count, duration)
    count, duration = get_dataset_info(dataset_parsers.parse_guitarset_org(GUITARSET_VALIDATION))
    print("GUITARSET_VALIDATION", count, duration)
    count, duration = get_dataset_info(dataset_parsers.parse_urmp_org(URMP_TRAIN))
    print("URMP_TRAIN", count, duration)
    count, duration = get_dataset_info(dataset_parsers.parse_urmp_org(URMP_VALIDATION))
    print("URMP_VALIDATION", count, duration)





