"""
Holds configuration for datasets
"""
from config import *

# ---------- DatasetGenerator // TFRecord Generation ----------
TFRECORD_LOCATION = f"{SSH_WD}/TFRecords"
TFRECORD_DATASETS = [
    # Baseline
    {
        "dataset": "guitarset",
        "name": "baseline",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/train",
        "use": True
    },
    {
        "dataset": "guitarset",
        "name": "validation",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/validation",
        "use": True
    },
    {
        "dataset": "urmp",
        "name": "baseline",
        "original_folder": f"{SSH_WD}/Datasets/URMP/Dataset/train",
        "use": True
    },
    {
        "dataset": "urmp",
        "name": "validation",
        "original_folder": f"{SSH_WD}/Datasets/URMP/Dataset/validation",
        "use": True
    },
    {
        "dataset": "musicnet",
        "name": "baseline",
        "original_folder": f"{SSH_WD}/Datasets/musicnet/tracks/train",
        "use": True
    },
    {
        "dataset": "musicnet",
        "name": "validation",
        "original_folder": f"{SSH_WD}/Datasets/musicnet/tracks/validation",
        "use": True
    },
    {
        "dataset": "maestro",
        "name": "baseline",
        "original_folder": f"{SSH_WD}/Datasets/maestro-v3.0.0/train",
        "use": True,
    },
    {
        "dataset": "maestro",
        "name": "validation",
        "original_folder": f"{SSH_WD}/Datasets/maestro-v3.0.0/validation",
        "use": True
    },
    # E1
    {
        "dataset": "guitarset",
        "name": "e1_rc20",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/GuitarSet-RC20",
        "use": True
    },
    {
        "dataset": "guitarset",
        "name": "e1_serumfx",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/GuitarSet-SerumFX",
        "use": True
    },
    {
        "dataset": "urmp",
        "name": "e1_rc20",
        "original_folder": f"{SSH_WD}/Datasets/URMP/Dataset/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/URMP-RC20",
        "use": True
    },
    {
        "dataset": "urmp",
        "name": "e1_serumfx",
        "original_folder": f"{SSH_WD}/Datasets/URMP/Dataset/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/URMP-SerumFX",
        "use": True
    },
    {
        "dataset": "musicnet",
        "name": "e1_rc20",
        "original_folder": f"{SSH_WD}/Datasets/musicnet/tracks/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/Musicnet-RC20",
        "use": True
    },
    {
        "dataset": "musicnet",
        "name": "e1_serumfx",
        "original_folder": f"{SSH_WD}/Datasets/musicnet/tracks/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/Musicnet-SerumFX",
        "use": True
    },
    {
        "dataset": "maestro",
        "name": "e1_rc20",
        "original_folder": f"{SSH_WD}/Datasets/maestro-v3.0.0/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/Maestro-RC20",
        "use": True,
    },
    {
        "dataset": "maestro",
        "name": "e1_serumfx",
        "original_folder": f"{SSH_WD}/Datasets/maestro-v3.0.0/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp1/Maestro-SerumFX",
        "use": True,
    },
    # E2
    {
        "dataset": "guitarset",
        "name": "e2_kontakt",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp2/GuitarSet-Kontakt",
        "use": True
    },
    {
        "dataset": "guitarset",
        "name": "e2_serum",
        "original_folder": f"{SSH_WD}/Datasets/GuitarSet/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp2/GuitarSet-Serum",
        "use": True
    },
    {
        "dataset": "urmp",
        "name": "e2_kontakt",
        "original_folder": f"{SSH_WD}/Datasets/URMP/Dataset/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp2/URMP-Kontakt",
        "use": True
    },
    {
        "dataset": "urmp",
        "name": "e2_serum",
        "original_folder": f"{SSH_WD}/Datasets/URMP/Dataset/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp2/URMP-Serum",
        "use": True
    },
{
        "dataset": "maestro",
        "name": "e2_kontakt",
        "original_folder": f"{SSH_WD}/Datasets/maestro-v3.0.0/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp2/Maestro-Kontakt",
        "use": True,
    },
    {
        "dataset": "maestro",
        "name": "e2_kontakt",
        "original_folder": f"{SSH_WD}/Datasets/maestro-v3.0.0/train",
        "generate_folder": f"{SSH_WD}/RenderedData/Exp2/Maestro-Kontakt",
        "use": True,
    },
]