import pickle
from PIL import Image
import numpy as np

class TranscriptionGenerator:
    @staticmethod
    def get_transcription_image(pickle_file, index, out_file):
        """
        Generate transcription image
        :param pickle_file: filename of the evaluation pickle
        :param index: index of the image to generate in evaluation pickle
        :param out_file: name of the outfile
        """
        with open(pickle_file, "rb") as file:
            data = pickle.load(file)
        eval_name = list(data.keys())[0]
        print(data[eval_name].keys())
        image_data = data[eval_name]['pianoroll'].image[index]
        print(type(image_data))
        print(image_data.shape)
        print(image_data)

        image = Image.fromarray((image_data*255).astype(np.uint8))
        image.convert('RGB')

        # Transparency
        newImage = []
        for item in image.getdata():
            if item[:3] == (0, 0, 0):
                newImage.append((255, 255, 255))
            elif item[:3] == (0, 255, 255):
                newImage.append((0, 0, 255))
            elif item[:3] == (0, 255, 0):
                newImage.append((0, 204, 0))
            else:
                newImage.append(item)

        image.putdata(newImage)

        print(image.getcolors())

        image.save(out_file)

if __name__ == '__main__':
    for i in range(5):
        TranscriptionGenerator.get_transcription_image('eval_pickle.pickle', i, f'transcription_{i}.png')