"""
Script to print details from TFRecords.
Currently prints all IDs and program numbers

Usage in CLI: tfrecord_tester.py path/to/TFRecord/record.tfrecord
"""

import sys
import tensorflow as tf
import numpy as np

FEATURES = {
    'id': tf.io.FixedLenFeature([], dtype=tf.string),
    'audio': tf.io.FixedLenFeature([], dtype=tf.string),
    'sequence': tf.io.FixedLenFeature([], dtype=tf.string),
    'instrument_sequences': tf.io.FixedLenSequenceFeature([], dtype=tf.string, allow_missing=True),
    'program_num': tf.io.FixedLenSequenceFeature([], dtype=tf.int64, allow_missing=True),
    'inst_names': tf.io.FixedLenSequenceFeature([], dtype=tf.string, allow_missing=True),
}


if __name__ == '__main__':
    file = sys.argv[1]
    # print(f"Printing IDs for examples stored in TFRecord {file}")
    dataset = tf.data.TFRecordDataset(file)
    for raw_record in dataset:
        # print("\n----- NEW ENTRY -----")
        example = tf.train.Example()
        example.ParseFromString(raw_record.numpy())
        feature_list = list(FEATURES.keys())
        for key, feature in example.features.feature.items():
            if key == "id":
                """
                if key in feature_list:
                    feature_list.remove(key)
                else:
                    print(f"Key '{key}' is not in expected TFRecord features")
                """
                kind = feature.WhichOneof('kind')
                print(np.array(getattr(feature, kind).value))
        """
        if len(feature_list) > 0:
            print("The following was missing from feature_list")
            print(feature_list)
        """
